| OpenCV 3.4.1 Open Source Computer Vision

Classes | Typedefs | Functions
MATLAB Bridge

## Classes
class | matlab::ArgumentParser
| parses inputs to a method and resolves the argument names. More...
class | cv::bridge::Bridge
| Type conversion class for converting OpenCV and native C++ types. More...
class | matlab::DefaultTraits
class | matlab::InheritType
class | matlab::Map< KeyType, ValueType >
class | matlab::MxArray
| A thin wrapper around Matlab's mxArray types. More...
class | matlab::Traits< _Tp >
class | matlab::Traits< bool >
class | matlab::Traits< char >
class | matlab::Traits< double >
class | matlab::Traits< float >
class | matlab::Traits< int16_t >
class | matlab::Traits< int32_t >
class | matlab::Traits< int64_t >
class | matlab::Traits< int8_t >
class | matlab::Traits< matlab::InheritType >
class | matlab::Traits< uint16_t >
class | matlab::Traits< uint32_t >
class | matlab::Traits< uint64_t >
class | matlab::Traits< uint8_t >

## Typedefs
typedef std::vector< Bridge > | cv::bridge::BridgeVector
typedef std::vector< MxArray > | matlab::MxArrayVector
typedef cv::Ptr< AlignMTB > | cv::bridge::Ptr_AlignMTB
typedef cv::Ptr< CalibrateDebevec > | cv::bridge::Ptr_CalibrateDebevec
typedef cv::Ptr< CalibrateRobertson > | cv::bridge::Ptr_CalibrateRobertson
typedef cv::Ptr< CLAHE > | cv::bridge::Ptr_CLAHE
typedef cv::Ptr< DenseOpticalFlow > | cv::bridge::Ptr_DenseOpticalFlow
typedef cv::Ptr< DualTVL1OpticalFlow > | cv::bridge::Ptr_DualTVL1OpticalFlow
typedef cv::Ptr< cv::FeatureDetector > | cv::bridge::Ptr_FeatureDetector
typedef cv::Ptr< float > | cv::bridge::Ptr_float
typedef cv::Ptr< LineSegmentDetector > | cv::bridge::Ptr_LineSegmentDetector
typedef cv::Ptr< MergeDebevec > | cv::bridge::Ptr_MergeDebevec
typedef cv::Ptr< MergeMertens > | cv::bridge::Ptr_MergeMertens
typedef cv::Ptr< MergeRobertson > | cv::bridge::Ptr_MergeRobertson
typedef cv::Ptr< cv::StereoBM > | cv::bridge::Ptr_StereoBM
typedef cv::Ptr< cv::StereoSGBM > | cv::bridge::Ptr_StereoSGBM
typedef cv::Ptr< Stitcher > | cv::bridge::Ptr_Stitcher
typedef cv::Ptr< Tonemap > | cv::bridge::Ptr_Tonemap
typedef cv::Ptr< TonemapDrago > | cv::bridge::Ptr_TonemapDrago
typedef cv::Ptr< TonemapDurand > | cv::bridge::Ptr_TonemapDurand
typedef cv::Ptr< TonemapMantiuk > | cv::bridge::Ptr_TonemapMantiuk
typedef cv::Ptr< TonemapReinhard > | cv::bridge::Ptr_TonemapReinhard
typedef std::vector< float > | cv::bridge::vector_float
typedef std::vector< int > | cv::bridge::vector_int
typedef std::vector< cv::KeyPoint > | cv::bridge::vector_KeyPoint
typedef std::vector< cv::Mat > | cv::bridge::vector_Mat
typedef std::vector< cv::Point > | cv::bridge::vector_Point
typedef std::vector< cv::Rect > | cv::bridge::vector_Rect
typedef std::vector< cv::String > | cv::bridge::vector_String
typedef std::vector< unsigned char > | cv::bridge::vector_uchar
typedef std::vector< std::vector< char > > | cv::bridge::vector_vector_char
typedef std::vector< std::vector< cv::DMatch > > | cv::bridge::vector_vector_DMatch

## Functions
template<>
matlab::MxArray | cv::bridge::Bridge::FromMat< matlab::InheritType > (const cv::Mat &mat)
| template specialization for inheriting types More...
template<>
cv::Mat | cv::bridge::Bridge::toMat< matlab::InheritType > () const
| template specialization for inheriting types More...
static void | matlab::conditionalError (bool expr, const std::string &str)
| raise error if condition fails More...
template<typename InputScalar , typename OutputScalar >
void | cv::bridge::deepCopyAndTranspose (const cv::Mat &src, matlab::MxArray &dst)
template<typename InputScalar , typename OutputScalar >
void | cv::bridge::deepCopyAndTranspose (const matlab::MxArray &src, cv::Mat &dst)
static void | matlab::error (const std::string &str)
| raise an error More...
template<typename InputScalar , typename OutputScalar >
void | gemt (const char major, const size_t M, const size_t N, const InputScalar *a, size_t lda, OutputScalar *b, size_t ldb)
Bridge & | cv::bridge::Bridge::operator= (const cv::Mat &mat)
cv::Mat | cv::bridge::Bridge::toMat () const
template<typename InputScalar , typename OutputScalar >
void | transpose4x4 (const InputScalar *src, size_t lda, OutputScalar *dst, size_t ldb)
template<typename InputScalar , typename OutputScalar >
void | transposeBlock (const size_t M, const size_t N, const InputScalar *src, size_t lda, OutputScalar *dst, size_t ldb)

## Detailed Description

## Typedef Documentation

## § BridgeVector

typedef std::vector<Bridge> cv::bridge::BridgeVector

## § MxArrayVector

typedef std::vector<MxArray> matlab::MxArrayVector

## § Ptr_AlignMTB

typedef cv::Ptr<AlignMTB> cv::bridge::Ptr_AlignMTB

## § Ptr_CalibrateDebevec

typedef cv::Ptr<CalibrateDebevec> cv::bridge::Ptr_CalibrateDebevec

## § Ptr_CalibrateRobertson

typedef cv::Ptr<CalibrateRobertson> cv::bridge::Ptr_CalibrateRobertson

## § Ptr_CLAHE

typedef cv::Ptr<CLAHE> cv::bridge::Ptr_CLAHE

## § Ptr_DenseOpticalFlow

typedef cv::Ptr<DenseOpticalFlow> cv::bridge::Ptr_DenseOpticalFlow

## § Ptr_DualTVL1OpticalFlow

typedef cv::Ptr<DualTVL1OpticalFlow> cv::bridge::Ptr_DualTVL1OpticalFlow

## § Ptr_FeatureDetector

typedef cv::Ptr<cv::FeatureDetector> cv::bridge::Ptr_FeatureDetector

## § Ptr_float

typedef cv::Ptr<float> cv::bridge::Ptr_float

## § Ptr_LineSegmentDetector

typedef cv::Ptr<LineSegmentDetector> cv::bridge::Ptr_LineSegmentDetector

## § Ptr_MergeDebevec

typedef cv::Ptr<MergeDebevec> cv::bridge::Ptr_MergeDebevec

## § Ptr_MergeMertens

typedef cv::Ptr<MergeMertens> cv::bridge::Ptr_MergeMertens

## § Ptr_MergeRobertson

typedef cv::Ptr<MergeRobertson> cv::bridge::Ptr_MergeRobertson

## § Ptr_StereoBM

typedef cv::Ptr<cv::StereoBM> cv::bridge::Ptr_StereoBM

## § Ptr_StereoSGBM

typedef cv::Ptr<cv::StereoSGBM> cv::bridge::Ptr_StereoSGBM

## § Ptr_Stitcher

typedef cv::Ptr<Stitcher> cv::bridge::Ptr_Stitcher

## § Ptr_Tonemap

typedef cv::Ptr<Tonemap> cv::bridge::Ptr_Tonemap

## § Ptr_TonemapDrago

typedef cv::Ptr<TonemapDrago> cv::bridge::Ptr_TonemapDrago

## § Ptr_TonemapDurand

typedef cv::Ptr<TonemapDurand> cv::bridge::Ptr_TonemapDurand

## § Ptr_TonemapMantiuk

typedef cv::Ptr<TonemapMantiuk> cv::bridge::Ptr_TonemapMantiuk

## § Ptr_TonemapReinhard

typedef cv::Ptr<TonemapReinhard> cv::bridge::Ptr_TonemapReinhard

## § vector_float

typedef std::vector<float> cv::bridge::vector_float

## § vector_int

typedef std::vector<int> cv::bridge::vector_int

## § vector_KeyPoint

typedef std::vector<cv::KeyPoint> cv::bridge::vector_KeyPoint

## § vector_Mat

typedef std::vector<cv::Mat> cv::bridge::vector_Mat

## § vector_Point

typedef std::vector<cv::Point> cv::bridge::vector_Point

## § vector_Rect

typedef std::vector<cv::Rect> cv::bridge::vector_Rect

## § vector_String

typedef std::vector<cv::String> cv::bridge::vector_String

## § vector_uchar

typedef std::vector<unsigned char> cv::bridge::vector_uchar

## § vector_vector_char

typedef std::vector<std::vector<char> > cv::bridge::vector_vector_char

## § vector_vector_DMatch

typedef std::vector<std::vector<cv::DMatch> > cv::bridge::vector_vector_DMatch

## Function Documentation

## § Bridge::FromMat< matlab::InheritType >()

template<>

matlab::MxArray cv::bridge::Bridge::FromMat< matlab::InheritType > | ( | const cv::Mat & | mat | ) |

template specialization for inheriting types

This template specialization attempts to preserve the best mapping between OpenCV and Matlab types. Matlab uses double types almost universally, so all floating float types are converted to doubles. Unfortunately OpenCV does not have a native logical type, so that gets mapped to an unsigned 8-bit value

## § Bridge::toMat< matlab::InheritType >()

template<>

cv::Mat cv::bridge::Bridge::toMat< matlab::InheritType > | ( |  | ) | const

template specialization for inheriting types

This template specialization attempts to preserve the best mapping between Matlab and OpenCV types. OpenCV has poor support for double precision types, so all floating point types are cast to float. Logicals get cast to unsignd 8-bit value.

## § conditionalError()

static void matlab::conditionalError | ( | bool | expr,
|  | const std::string & | str
| ) |  |
| static

raise error if condition fails

This is a conditional wrapper for mexErrMsgTxt. If the conditional expression fails, an error is raised and the mex function returns to Matlab, otherwise this function does nothing

## § deepCopyAndTranspose() [1/2]

template<typename InputScalar , typename OutputScalar >

void cv::bridge::deepCopyAndTranspose | ( | const cv::Mat & | src,
|  | matlab::MxArray & | dst
| ) |  |

## § deepCopyAndTranspose() [2/2]

template<typename InputScalar , typename OutputScalar >

void cv::bridge::deepCopyAndTranspose | ( | const matlab::MxArray & | src,
|  | cv::Mat & | dst
| ) |  |

## § error()

static void matlab::error | ( | const std::string & | str | ) |
| static

raise an error

This function is a wrapper around mexErrMsgTxt

## § gemt()

template<typename InputScalar , typename OutputScalar >

void gemt | ( | const char | major,
|  | const size_t | M,
|  | const size_t | N,
|  | const InputScalar * | a,
|  | size_t | lda,
|  | OutputScalar * | b,
|  | size_t | ldb
| ) |  |

## § operator=()

Bridge & cv::bridge::Bridge::operator= | ( | const cv::Mat & | mat | ) |

## § toMat()

cv::Mat cv::bridge::Bridge::toMat | ( |  | ) | const

## § transpose4x4()

template<typename InputScalar , typename OutputScalar >

void transpose4x4 | ( | const InputScalar * | src,
|  | size_t | lda,
|  | OutputScalar * | dst,
|  | size_t | ldb
| ) |  |

## § transposeBlock()

template<typename InputScalar , typename OutputScalar >

void transposeBlock | ( | const size_t | M,
|  | const size_t | N,
|  | const InputScalar * | src,
|  | size_t | lda,
|  | OutputScalar * | dst,
|  | size_t | ldb
| ) |  |